﻿namespace Shp.Web.Models.Contracts
{
    /// <summary>
    /// View Model Builder contract.
    /// </summary>
    /// <typeparam name="T"></typeparam>
    public interface IViewModelBuilder<T> where T : class
    {
        /// <summary>
        /// Prepares and builds the view model.
        /// </summary>
        /// <returns></returns>
        T Build();
    }
}
