﻿using System.Web.Mvc;
using MvcContrib.Shp.UI.Menu;

namespace Shp.Web.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            ViewBag.Message = "MvcContrib Themed Grid & Menu Helpers";

            return View();
        }

        public ActionResult About()
        {
            return View();
        }

        [Authorize]
        [MenuItemText("A Very Secure Page")]
        public ActionResult SecurePageOne()
        {
            return View();
        }

        [Authorize]
        public ActionResult SecurePageTwo()
        {
            return View();
        }
    }
}
